<?php


require_once 'base/GepAtividadeEntityBase.php';
/**
 * GepAtividadeEntity
 * This class has been auto-generated by Setforms
 *
 * @package Entity
 * @author  samuelleite
 */
class GepAtividadeEntity extends GepAtividadeEntityBase
{


    const SEM_REGISTRO = 10;


    /**
     * Gera o novo c?o de Atividade.
     *
     * @param integer $nrorg Numero da organizacao.
     *
     * @return integer
     */
    public static function retornaProxNumAtividade($nrorg){
        $codigo = Novocodigo::geraCodigo($nrorg, 'GEP_ATIVIDADE', 10);
        return $codigo;
    }


    /**
     * Retorna status de uma atividade.
     *
     * @param string  $upidsituacaotiv Id da situa??o.
     * @param integer $nrorg           Numero da organizacao.
     * @param integer $nratividade     N?mero da atividade.
     *
     * @return boolean
     */
    public static function alteraStatusAtvidade($upidsituacaotiv, $nrorg, $nratividade){
        $status = GepAtividade::alteraStatusAtvidade(
            $upidsituacaotiv,
            $nrorg,
            $nratividade
        );

        return $status;
    }


    /**
     * Retorna dados de uma atividade.
     *
     * @param integer $parcnegocio C?doigo do parceiro.
     *
     * @return string
     */
    public  static  function retornaConsultaAtividade($parcnegocio){
        $atividade = GepAtividade::retornaConsultaAtividades($parcnegocio);
        return $atividade;
    }


    /**
     * Atualiza Atividade.
     *
     * @param integer  $nratividade       Numero da atividade.
     * @param integer  $nrorg             Numero da organiza??o.
     * @param integer  $nratividadeproc   Numero do operador da observacao.
     * @param integer  $nrsolicitacao     Numero da solicita??o.
     * @param integer  $nrparcnegosoli    Numero do parceiro de neg?cio.
     * @param integer  $nrparcopersoli    Numero do operador solicitante.
     * @param integer  $nrparcoperresp    Numero do operador respons?vel.
     * @param integer  $nrparcoperconc    Numero do operador conclusor.
     * @param integer  $dsreferenciaativ  Refer?ncia da atividade.
     * @param string   $idsituacaoativ    Situa??o da atividade.
     * @param string   $dtinicioplanejado Data de inicio planejado.
     * @param string   $dtfimplanejado    Data de fim planejado.
     * @param float    $qthorasplanejada  Quantidade de horas planejado.
     * @param string   $dtfinalizacao     Data de finaliza??o.
     * @param string   $dtconclusao       Data de conclus?o.
     * @param string   $idativo           Atividade ativa.
     * @param string   $txobservatividade Observa??es da atividade.
     * @param date     $data			  Data de insercao.
     * @param integer  $cdoperador        Codigo do operador.
     * @param string   $txatividade       Texto da atividade.
     *
     * @return boolean
     */
    public static function alteraAtividade(
        $nratividade,
        $nrorg,
        $nratividadeproc,
        $nrsolicitacao,
        $nrparcnegosoli,
        $nrparcopersoli,
        $nrparcoperresp,
        $nrparcoperconc,
        $dsreferenciaativ,
        $idsituacaoativ,
        $dtinicioplanejado,
        $dtfimplanejado,
        $qthorasplanejada,
        $dtfinalizacao,
        $dtconclusao,
        $idativo,
        $txobservatividade,
        $data,
        $cdoperador,
        $txatividade
    ){
        $lista_atividade = GepAtividade::getObjectsByWhere(
            ' NRATIVIDADE = ? AND NRORG = ?',
            array(
             $nratividade,
             $nrorg,
            )
        );

        foreach ($lista_atividade as $ativ) {
            $ativ->setNratividadeproc($nratividadeproc);
            $ativ->setNrsolicitacao($nrsolicitacao);
            $ativ->setNrparcnegosoli($nrparcnegosoli);
            $ativ->setNrparcopersoli($nrparcopersoli);
            $ativ->setNrparcoperresp($nrparcoperresp);
            $ativ->setNrparcoperconc($nrparcoperconc);
            $ativ->setDsreferenciaativ($dsreferenciaativ);
            $ativ->setIdsituacaoativ($idsituacaoativ);
            $ativ->setDtinicioplanejado($dtinicioplanejado);
            $ativ->setDtfimplanejado($dtfimplanejado);
            $ativ->setQthorasplanejada($qthorasplanejada);
            $ativ->setDtfinalizacao($dtfinalizacao);
            $ativ->setDtconclusao($dtconclusao);
            $ativ->setIdativo($idativo);
            $ativ->setTxatividade($txatividade);
            $ativ->setTxobservatividade($txobservatividade);
            $ativ->setDtultatu($data);
            $ativ->setNrorgultatu($nrorg);
            $ativ->setCdoperultatu($cdoperador);

            $ativ->persist();
        }

        return true;
    }


    /**
     * Insere Atividade.
     *
     * @param integer  $nratividade       Numero da atividade.
     * @param integer  $nrorg             Numero da organiza??o.
     * @param integer  $nratividadeproc   Numero do operador da observacao.
     * @param integer  $nrsolicitacao     Numero da solicita??o.
     * @param integer  $nrparcnegosoli    Numero do parceiro de neg?cio.
     * @param integer  $nrparcopersoli    Numero do operador solicitante.
     * @param integer  $nrparcoperresp    Numero do operador respons?vel.
     * @param integer  $nrparcoperconc    Numero do operador conclusor.
     * @param integer  $dsreferenciaativ  Refer?ncia da atividade.
     * @param string   $idsituacaoativ    Situa??o da atividade.
     * @param string   $dtinicioplanejado Data de inicio planejado.
     * @param string   $dtfimplanejado    Data de fim planejado.
     * @param float    $qthorasplanejada  Quantidade de horas planejado.
     * @param dateTime $dtfinalizacao     Data de finaliza??o.
     * @param dateTime $dtconclusao       Data de conclus?o.
     * @param string   $idativo           Atividade ativa.
     * @param string   $txobservatividade Observa??es da atividade.
     * @param date     $data			  Data de insercao.
     * @param integer  $cdoperador        Codigo do operador.
     * @param string   $txatividade       Texto da atividade.
     *
     * @return boolean
     */
    public static function incluiAtividade(
        $nratividade,
        $nrorg,
        $nratividadeproc,
        $nrsolicitacao,
        $nrparcnegosoli,
        $nrparcopersoli,
        $nrparcoperresp,
        $nrparcoperconc,
        $dsreferenciaativ,
        $idsituacaoativ,
        $dtinicioplanejado,
        $dtfimplanejado,
        $qthorasplanejada,
        $dtfinalizacao,
        $dtconclusao,
        $idativo,
        $txobservatividade,
        $data,
        $cdoperador,
        $txatividade
    ){
        try {
            $ativ = new self();
            $ativ->setNratividade($nratividade);
            $ativ->setNrorg($nrorg);
            $ativ->setNratividadeproc($nratividadeproc);
            $ativ->setNrsolicitacao($nrsolicitacao);
            $ativ->setNrparcnegosoli($nrparcnegosoli);
            $ativ->setNrparcopersoli($nrparcopersoli);
            $ativ->setNrparcoperresp($nrparcoperresp);
            $ativ->setNrparcoperconc($nrparcoperconc);
            $ativ->setDsreferenciaativ($dsreferenciaativ);
            $ativ->setIdsituacaoativ($idsituacaoativ);
            $ativ->setDtinicioplanejado($dtinicioplanejado);
            $ativ->setDtfimplanejado($dtfimplanejado);
            $ativ->setQthorasplanejada($qthorasplanejada);
            $ativ->setDtfinalizacao($dtfinalizacao);
            $ativ->setDtconclusao($dtconclusao);
            $ativ->setIdativo($idativo);
            $ativ->setDtinclusao($data);
            $ativ->setDtultatu($data);
            $ativ->setNrorginclusao($nrorg);
            $ativ->setCdoperinclusao($cdoperador);
            $ativ->setNrorgultatu($nrorg);
            $ativ->setCdoperultatu($cdoperador);
            $ativ->setTxatividade($txatividade);
            $ativ->setTxobservatividade($txobservatividade);
            $ativ->persist();

            return true;
        } catch (Exception $e) {
             tk_message('Erro desconhecido'.$e->getMessage());
            return false;
        }

    }


    /**
     * Exclui Atividade.
     *
     * @param integer $nrorg       N?mero da Organiza??o.
     * @param integer $nratividade N?mero da Atividade.
     *
     * @return Ambigous <number, number>
     */
    public static function excluiAtividade($nrorg, $nratividade){
        $dado = GepAtividade::excluiAtividade($nratividade, $nrorg);
        return $dado;
    }


    /**
     * Consulta existencia de uma atividade.
     *
     * @param integer $nrorg       N?mero da Organiza??o.
     * @param integer $nratividade N?mero da Atividade.
     *
     * @return Ambigous <<type>, multitype:, mixed>|boolean
     */
    public static function retornaDadosAtividade($nrorg, $nratividade){
        $dado = GepAtividade::consultaAtividade($nrorg, $nratividade);
        if ($dado instanceof GepAtividadeEntity) {
            return $dado;
        }
        throw new Exception('GepAtividadeEntity:: Nao ha registro de atividade.', self::SEM_REGISTRO);
    }


    /**
     * Retorna a consulta de atividades.
     *
     * @param  integer $nrorg         Numero da organizacao.
     * @param  integer $nrparcnegocio Numero do parceiro de negocio.
     *
     * @return string $consulta       Dados da consulta.
     */
    public static function retornaAtividades($nrorg, $nrparcnegocio){
        $consulta = GepAtividade::consultaAtividades($nrorg, $nrparcnegocio);
        return $consulta;
    }


   /**
	 * Retona atividade em andamento.
	 *
	 * @param string $cdfilial   Codigo da filial.
	 * @param string $cdoperresp Operador responsavel.
	 *
	 * @return Ambigous <Ambigous, TkModel, unknown, mixed, NULL>
	 */
	static public function retornaAtividadeAndamento($cdoperresp, $nrorg){
		return  GepAtividade::retornaAtividadeAndamento($cdoperresp, $nrorg);
	}

    public function exportaItemTrabalhoAtiv($path = null) {

        $nratividade = $this->getNratividade();

        $metadata_export = array();
        $file_export = array();

        if (empty($nratividade) === true) {
            throw new Exception("Atividade inv?da, n?foi poss?l exportar itens.");
        }

        $nrorg = Ambiente::getNrorg();
        $itens = GepItemtrabalhoativ::getObjectsByWhere("NRORG = ? AND NRATIVIDADE = ?", array($nrorg, $nratividade));

        foreach ($itens as $item) {
            $dsitemtrabalho = $item->get('DSITEMTRABALHO');

            if (empty($dsitemtrabalho) !== true) {
                $metadata_export[] = $dsitemtrabalho;
            } else {
                // fetch files to export
                $nritemtrabalho = $item->get('NRITEMTRABALHO');

                if (empty($nritemtrabalho) !== true) {
                    $itemtrabalho = GepItemtrabalho::getObjectByWhere("NRORG = ? AND NRITEMTRABALHO = ?", array($nrorg, $nritemtrabalho));

                    if (($itemtrabalho instanceof GepItemtrabalhoEntity) === true) {
                        $file_export[] = $itemtrabalho->toArray();
                    }
                }
            }
        }

        $nmacesso = Ambiente::getNmacesso();
        $path = '../../../..'.DIRECTORY_SEPARATOR.'files'.DIRECTORY_SEPARATOR.$nmacesso.DIRECTORY_SEPARATOR.$nratividade.DIRECTORY_SEPARATOR;
        $path = TkFile::mkdir($path);

        if (count($metadata_export) > 0) {
            // export metadata
            foreach ($metadata_export as $window_name) {

                $path.= $window_name.'.zip';

                ManipulacaoArquivoLogic::executametadiffExport($window_name, $path);
            }
        } else if (count($file_export) > 0) {
            // export files
            foreach ($file_export as $itemtrabalho) {

                try {
                    $caminho_remoto = ApropriacaoAtividadelogic::retornaUrlRemotaItemTrabalho($itemtrabalho);
                    $caminho_local = $path.$itemtrabalho['NMITEMTRABALHO'];

                    ApropriacaoAtividadelogic::buscaSalvaArquivoRemoto($caminho_remoto, $caminho_local);
tk_warning('Arquivo exportado para: '.$caminho_local);
                } catch (Exception $e) {
                    tk_warning('Erro ao buscar e salvar o arquivo "'.$itemtrabalho['NMITEMTRABALHO'].'": '.$e->getMessage());
                    continue;
                }
            }
        }
    }
}