/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_INTEFORN                                                 */
/* Tabela : INTEFORN                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 02/05/2000 - Yoris L. de Souza                                             */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_INTEFORN
BEFORE INSERT OR UPDATE OR DELETE
ON INTEFORN FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUINFO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDINTERLOC,0)  <> NVL(:NEW.CDINTERLOC,0))  OR
         (NVL(:OLD.NMINTERFORN,0) <> NVL(:NEW.NMINTERFORN,0)) OR
         (NVL(:OLD.CDFORNECED,0)  <> NVL(:NEW.CDFORNECED,0)) THEN
         :NEW.DTULTATUINFO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('INTEFORN', '', 'CDFORNECED='||:OLD.CDFORNECED||';CDINTERLOC='||:OLD.CDINTERLOC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE INTEFORN MODIFY DTULTATUINFO DEFAULT SYSDATE
/
