CREATE OR REPLACE
PROCEDURE EXP_FORNECEDOR_NGD
IS
  V_CHAVE        VARCHAR2(300);
  V_ERRO         VARCHAR2(300);
  V_CONTADOR     FLOAT := 0;
BEGIN
   FOR C_FORNECEDORES IN
      (SELECT FORNECEDOR.NMRAZSOCFORN, FORNECEDOR.CDFORNECED, NVL(FORNECEDOR.NMFANTFORN, FORNECEDOR.NMRAZSOCFORN) NMFANTFORN, FORNECEDOR.CDFORNERELAC,
              ENDEFORN.NMCONTFORN, ENDEFORN.DSEMAILFORN , '1' NRFORNECEDOR_NGD, '0' IDFORNECEDOR_NGD
         FROM FORNECEDOR, ENDEFORN
        WHERE FORNECEDOR.CDFORNECED  = ENDEFORN.CDFORNECED
          AND FORNECEDOR.IDSITUCADA  = 'A'
          AND FORNECEDOR.IDTIPOFORN  <> 'A'
          AND NVL(ENDEFORN.IDTPENDEFORN, 'N') = 'P'
          AND ((NVL(ENDEFORN.USR_NGD_INTEGRADO, 'N') = 'N') OR  (NVL(ENDEFORN.USR_NGD_INTEGRADO, 'N') = 'N')))
   LOOP
      V_CONTADOR := V_CONTADOR + 1;
      IF V_CONTADOR >= 500 THEN
         V_CONTADOR := 0;
         COMMIT;
      END IF;
      SELECT NVL(MAX(USR_FORNECEDOR_NGD.CDFORNECED), '')
        INTO V_CHAVE
        FROM USR_FORNECEDOR_NGD
       WHERE USR_FORNECEDOR_NGD.CDFORNECED = C_FORNECEDORES.CDFORNECED;
      BEGIN
         IF V_CHAVE = '' THEN
            INSERT
             INTO USR_FORNECEDOR_NGD(CDFORNECED, NMRAZSOCFORN, NMFANTFORN, CDFORNERELAC,
                  NMCONTFORN, DSEMAILFORN, NRFORNECEDOR_NGD, IDFORNECEDOR_NGD,
                  IDSTATUSFORN, TPINTERFACE, DTINTERFACEORI,	DTINTERFACEDEST,	STATUS)
            VALUES (C_FORNECEDORES.CDFORNECED, C_FORNECEDORES.NMRAZSOCFORN, C_FORNECEDORES.NMFANTFORN, C_FORNECEDORES.CDFORNERELAC,
                    C_FORNECEDORES.NMCONTFORN, C_FORNECEDORES.DSEMAILFORN, C_FORNECEDORES.NRFORNECEDOR_NGD, C_FORNECEDORES.IDFORNECEDOR_NGD,
                    'ATIVO',	'I', 	SYSDATE,	NULL,	'1');
         ELSE
            UPDATE USR_FORNECEDOR_NGD
               SET CDFORNECED         = C_FORNECEDORES.CDFORNECED,
                   NMRAZSOCFORN       = C_FORNECEDORES.NMRAZSOCFORN,
                   NMFANTFORN         = C_FORNECEDORES.NMFANTFORN,
                   CDFORNERELAC       = C_FORNECEDORES.CDFORNERELAC,
                   NMCONTFORN         = C_FORNECEDORES.NMCONTFORN,
                   DSEMAILFORN        = C_FORNECEDORES.DSEMAILFORN,
                   TPINTERFACE        = 'A',
                   DTINTERFACEORI     = SYSDATE,
                   DTINTERFACEDEST    = NULL,
                   STATUS             = '1'
             WHERE USR_FORNECEDOR_NGD.CDFORNECED = C_FORNECEDORES.CDFORNECED;
         END IF;
         UPDATE USR_LOG_NGD
            SET DTLOG      = SYSDATE,
                STATUS     = '0',
                OBSSTATUS  = NULL
          WHERE IDPROCESSO = 'USR_FORNECEDOR_NGD'
            AND IDPESQITEM = C_FORNECEDORES.CDFORNECED;
         IF SQL%NOTFOUND THEN
            INSERT
              INTO USR_LOG_NGD(IDPROCESSO, DTLOG, STATUS, OBSSTATUS, IDPESQITEM)
            VALUES ('USR_FORNECEDOR_NGD', SYSDATE, '0', NULL, C_FORNECEDORES.CDFORNECED);
         END IF;
         UPDATE FORNECEDOR
            SET USR_NGD_INTEGRADO = 'S'
          WHERE FORNECEDOR.CDFORNECED = C_FORNECEDORES.CDFORNECED
            AND NVL(USR_NGD_INTEGRADO, 'N') = 'N';
         UPDATE ENDEFORN
            SET USR_NGD_INTEGRADO = 'S'
          WHERE ENDEFORN.CDFORNECED = C_FORNECEDORES.CDFORNECED
            AND NVL(USR_NGD_INTEGRADO, 'N') = 'N';
      EXCEPTION
         WHEN OTHERS THEN BEGIN
            V_ERRO := SUBSTR(SQLERRM(SQLCODE), 1, 300);
            UPDATE USR_LOG_NGD
               SET DTLOG     = SYSDATE,
                   STATUS    = '1',
                   OBSSTATUS = V_ERRO
             WHERE IDPROCESSO = 'USR_FORNECEDOR_NGD'
               AND IDPESQITEM = C_FORNECEDORES.CDFORNECED;
            IF SQL%NOTFOUND THEN
               INSERT
                 INTO USR_LOG_NGD(IDPROCESSO, DTLOG, STATUS, OBSSTATUS, IDPESQITEM)
               VALUES ('USR_FORNECEDOR_NGD', SYSDATE, '1', V_ERRO, C_FORNECEDORES.CDFORNECED);
            END IF;
         END;
      END;
   END LOOP;
   COMMIT;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('EXP_FORNECEDOR_NGD','6.37.015'); END;
/
